Skip to main content
GET
/
files
/
tasks
/
{task_id}
/
output-files
/
{file_id}
Get Task Output File Presigned Url
const options = {method: 'GET', headers: {'X-Browser-Use-API-Key': '<api-key>'}};

fetch('https://api.browser-use.com/api/v2/files/tasks/{task_id}/output-files/{file_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
curl --request GET \
--url https://api.browser-use.com/api/v2/files/tasks/{task_id}/output-files/{file_id} \
--header 'X-Browser-Use-API-Key: <api-key>'
import requests

url = "https://api.browser-use.com/api/v2/files/tasks/{task_id}/output-files/{file_id}"

headers = {"X-Browser-Use-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "fileName": "<string>",
  "downloadUrl": "<string>"
}
{
"detail": "Task not found"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
{
"detail": "Failed to generate download URL"
}

Authorizations

X-Browser-Use-API-Key
string
header
required

Path Parameters

task_id
string<uuid>
required
file_id
string<uuid>
required

Response

Successful Response

Response model for output file requests.

id
string<uuid>
required

Unique identifier for the file

fileName
string
required

Name of the file

downloadUrl
string
required

URL to download the file